## GtkArrow GtkArrow — Displays an arrow |

## Functions

GtkWidget * | gtk_arrow_new ()
void | gtk_arrow_set ()

## Properties

GtkArrowType | arrow-type | Read / Write
GtkShadowType | shadow-type | Read / Write

## Style Properties

gfloat | arrow-scaling | Read

## Types and Values

struct | GtkArrow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkMisc
                    ╰── GtkArrow

## Implemented Interfaces

GtkArrow implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkArrow should be used to draw simple arrows that need to point in one of the four cardinal directions (up, down, left, or right). The style of the arrow can be one of shadow in, shadow out, etched in, or etched out. Note that these directions and style types may be amended in versions of GTK+ to come.

GtkArrow will fill any space alloted to it, but since it is inherited from GtkMisc, it can be padded and/or aligned, to fill exactly the space the programmer desires.

Arrows are created with a call to `gtk_arrow_new()`. The direction or style of an arrow can be changed after creation by using `gtk_arrow_set()`.

## Functions

### gtk_arrow_new ()

    GtkWidget *
    gtk_arrow_new (GtkArrowType arrow_type,
                   GtkShadowType shadow_type);

Creates a new GtkArrow widget.

#### Parameters

arrow_type | a valid GtkArrowType. |
shadow_type | a valid GtkShadowType. |

#### Returns

the new GtkArrow widget.

### gtk_arrow_set ()

    void
    gtk_arrow_set (GtkArrow *arrow,
                   GtkArrowType arrow_type,
                   GtkShadowType shadow_type);

Sets the direction and style of the GtkArrow, `arrow` .

#### Parameters

arrow | a widget of type GtkArrow. |
arrow_type | a valid GtkArrowType. |
shadow_type | a valid GtkShadowType. |

## Types and Values

### struct GtkArrow

    struct GtkArrow;

## Property Details

### The `“arrow-type”` property

      “arrow-type”               GtkArrowType

The direction the arrow should point.

Flags: Read / Write

Default value: GTK_ARROW_RIGHT

### The `“shadow-type”` property

      “shadow-type”              GtkShadowType

Appearance of the shadow surrounding the arrow.

Flags: Read / Write

Default value: GTK_SHADOW_OUT

## Style Property Details

### The `“arrow-scaling”` style property

      “arrow-scaling”            gfloat

Amount of space used up by arrow.

Flags: Read

Allowed values: [0,1]

Default value: 0.7

## See Also

gtk_render_arrow()